Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155635

Summary: CTRL Highlight for mouse intefers with CTRL-scrollwheel in Firefox
Product: [Fedora] Fedora Reporter: Rodd Clarkson <rodd>
Component: firefoxAssignee: Christopher Aillon <caillon>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: mattdm, mcepl, rodrigo, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: f8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-12 20:48:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rodd Clarkson 2005-04-22 03:20:36 UTC
Description of problem:

The Mouse Preferences in GNOME include a 'Highlight the pointer when you press
CTRL' option that when enabled stops Firefox from resizing text using
CTRL+scrollwheel.

CTRL+ [+-] still work.


Version-Release number of selected component (if applicable):

firefox-1.0.3-2


How reproducible:

Very


Steps to Reproduce:

NOTE: Obviously, you'll need a mouse with a functioning scrollwheel to replicate
the following steps.

1.Open Desktop > Preferences > Mouse
2.Click the Cursors Tab and make sure that the "Highlight the pointer..." option
isn't checked.
3.Open Firefox and load a page with text in it (for example
http://log.ometer.com/2005-04.html).
4. Holding down CTRL while rolling the scroll wheel should resize the text on
the page.
5. Check the "Highlight the pointer..." option
6. Holding down CTRL while rolling the scroll wheel no longer resizes the text
on the page.


Expected results:

Text should resize using the scrollwheel when the "Highlight the pointer..."
option is checked.


Additional info:

This is also true when using the 'scrollwheel' on the side of the mouse pad if
using the synaptics driver.

I've filed this bug against firfox becuase so far this is the only thing I've
noticed not working which the "Highlight the pointer..." option is checked.

Comment 1 Rodrigo Damazio 2005-07-29 01:30:49 UTC
it also interferes in other keys - when I enable ctrl highlighting, multimedia
keys such as "E-mail", "Web browser" and "Volume" also don't work. It is, thus,
not a firefox bug. I'm not sure whose fault this is, but it's definitely not a
firefox bug and should be changed to reflect that. I'm using FC4 final with all
updated packages.

Comment 2 Christian Iseli 2007-01-22 10:56:27 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Rodd Clarkson 2007-02-26 23:22:16 UTC
This is still an issue in FC6.

Interestingly, with compiz running, there seem to be some other issues too. 
When I tried to resize the fonts using CTRL+[+|-] firefow locked up, with the
CPU at 100%.  This needs more investigation.

Comment 4 Matthew Miller 2007-04-06 15:24:55 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 5 Matthew Miller 2007-04-06 15:44:42 UTC
Moving to FC6 as per comment #3. However, I think this is probably an issue best
addressed in GNOME upstream.

Comment 6 Rodd Clarkson 2007-04-10 01:41:45 UTC
This is also a problem in rawhide

Comment 7 Matěj Cepl 2007-12-10 09:22:20 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 8 Rodd Clarkson 2007-12-12 20:28:36 UTC
I can't find this option in the Mouse configuration under f8.

I guess this bug could be closed.

Comment 9 Matěj Cepl 2007-12-12 20:48:31 UTC
Closing per comment 8.